Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class ExecuteUpdatePersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.ExecuteUpdatePersistentMethod

    @SuppressWarnings({ "unchecked", "rawtypes" })
    public class ExecuteUpdatePersistentMethod
    extends AbstractStaticPersistentMethod

Allows the executing of arbitrary HQL updates.

eg. Account.executeUpdate("delete from Account a where a.branch = ?", 'London') or Account.executeUpdate("delete from Account a where a.branch = :branch", [branch:'London'])

Authors:
  Burt Beckwith

Constructor Summary
`ExecuteUpdatePersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader)`

Method Summary
`protected java.lang.Object` | `doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)`

Methods inherited from class AbstractStaticPersistentMethod
doInvokeInternal, getCriteria, getHibernateTemplate, invoke, invoke

Methods inherited from class AbstractStaticMethodInvocation
getPattern, invoke, isMethodMatch, setPattern, toString

Constructor Detail

### ExecuteUpdatePersistentMethod

    public ExecuteUpdatePersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader)

Method Detail

### doInvokeInternal

    @Override
    protected java.lang.Object doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, Object[] arguments)

Groovy Documentation